summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xtests/build-chunk-writes-log.script35
1 files changed, 35 insertions, 0 deletions
diff --git a/tests/build-chunk-writes-log.script b/tests/build-chunk-writes-log.script
new file mode 100755
index 00000000..5b4d90b0
--- /dev/null
+++ b/tests/build-chunk-writes-log.script
@@ -0,0 +1,35 @@
+#!/bin/bash
+#
+# Test building a chunk.
+#
+# Copyright (C) 2011, 2012 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+set -eu
+
+"$SRCDIR/scripts/test-morph" build test:chunk-repo farrokh hello.morph
+
+found=false
+# list of sources in cache is not piped because while loop changes variable
+while read source; do
+ [ -e "$source".build-log ] || continue
+ found=true
+ break
+done < <(
+ for chunk in "$DATADIR/cache/artifacts/"*.chunk.*
+ do
+ echo "${chunk%%.chunk.*}"
+ done | sort -u)
+"$found"